Bug 171947 - It doesn't work to enable firewall and open ports by iptables instead of trusted port
It doesn't work to enable firewall and open ports by iptables instead of trus...
Status: CLOSED DUPLICATE of bug 138143
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-securitylevel (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-27 20:40 EDT by Zaiwen
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-29 14:59:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zaiwen 2005-10-27 20:40:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
If I enable firewall and at the same time use iptables to open some ports instead of adding trusted ports or other ports on the gui, the ports will not be opened.  

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.4.19.1-1

How reproducible:
Always

Steps to Reproduce:
1. system-config-securitylevel, just enable firewall, nothing else. Don't add any trusted ports/devices or other ports.
2. then use iptables to add rule to open ports. For example, open telnet port: 

iptables -A INPUT -p tcp -s 192.168.0.0/24 --dport 23 -j ACCEPT

3. service iptables save
4. try to telnet from 192.168.x.x, but failed. ?????



Actual Results:  The port is not opened as specified in the iptables rule.

Expected Results:  system-config-securitylevel to enable firewall should work together with iptables rules. 

Of course I can use gui to add telnet port 23, but how about if I want to open ports from 1 to 1024? You don't expect me to add them one by one on the gui, right? 

Or this is the design that system-config-securitylevel can't work together with with iptables rules???


Additional info:
Comment 1 Chris Lumens 2005-11-01 11:07:15 EST
That's correct.  system-config-securitylevel assumes it's in charge of the
iptables rules.  You're limited to either using s-c-securitylevel for everything
firewall related, or not using it for anything at all.  Yes, this is a pretty
big limitation and needs work.
Comment 2 Chris Lumens 2005-11-29 14:59:46 EST

*** This bug has been marked as a duplicate of 138143 ***

Note You need to log in before you can comment on or make changes to this bug.